<?php

declare(strict_types=1);

namespace FiloBlu\Checkproducts\Model;

use Magento\Catalog\Api\Data\ProductInterface;

/**
 *
 */
class Collector implements CollectorInterface
{

    protected $data = [];

    /**
     * @param \Magento\Catalog\Api\Data\ProductInterface $product
     * @param $key
     * @return void
     */
    public function collect(ProductInterface $product, $key)
    {
        $this->data[$product->getSku()][$product->getStore()->getData('code')][$key] = false;
    }

    /**
     * @return array
     */
    public function getCollectedData()
    {
        return $this->data;
    }

    public function reset()
    {
        $this->data = [];
    }
}
